Bug 1561167 - [RFE][S-3] Excluding 'Last Analysis' field from Drift Workload Section
Summary: [RFE][S-3] Excluding 'Last Analysis' field from Drift Workload Section
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
low
Target Milestone: MVP
: 5.10.0
Assignee: Hilda Stastna
QA Contact: Satyajit Bulage
URL:
Whiteboard:
Depends On:
Blocks: 1555371
TreeView+ depends on / blocked
 
Reported: 2018-03-27 19:41 UTC by myoder
Modified: 2019-02-07 23:01 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:30 UTC
Category: Feature
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:37 UTC

Description myoder 2018-03-27 19:41:24 UTC
Description of problem:

The 'Last Analysis' field will always be different between any two drift states for a VM.  Given a VM has experienced no workload drift (other than the Last Analysis field), the drift report will still show a change in the workload drift.

Requesting to have 'Last Analysis' field omitted from the Workload section of the Drift Analysis, as this will always cause the Workload to show a change between drifts.

I have labeled this an RFE as I am not sure if this was designed intentionally or not.

Version-Release number of selected component (if applicable):
CFME 5.8

How reproducible:
Always

Steps to Reproduce:
1. Take 2 snapshots of a VM one right after the other
2. Create a drift analysis with the drifts
3. View that the workload will always be different because of Last Analysis field

Actual results:
Workload is always different because of Last Analysis field

Expected results:
If no other drift is reported, other than Last Analysis, than the workload drift should show as no change.

Additional info:

Comment 7 CFME Bot 2018-05-14 19:06:29 UTC
New commit detected on ManageIQ/manageiq/master:

https://github.com/ManageIQ/manageiq/commit/049ad63abde9931d5cba13eaee3c6fbf9e6236f0
commit 049ad63abde9931d5cba13eaee3c6fbf9e6236f0
Author:     Hilda Stastna <hstastna@redhat.com>
AuthorDate: Mon May 14 12:27:39 2018 -0400
Commit:     Hilda Stastna <hstastna@redhat.com>
CommitDate: Mon May 14 12:27:39 2018 -0400

    Excluding 'Last Analysis' field from Drift Workload Section

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1561167

 product/compare/vms.yaml | 3 -
 1 file changed, 3 deletions(-)

Comment 8 Satyajit Bulage 2018-07-09 15:23:45 UTC
Performed SSA twice on VM and saw 'Last Analysis' Drift section removed.

Verified Version: 5.10.0.3.20180705151325_ce4d2b5

Comment 9 errata-xmlrpc 2019-02-07 23:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212


Note You need to log in before you can comment on or make changes to this bug.